
/**
.______                                                   ________                              __         ___     
/\__  _\                                                 /\_____  \                           /'__`\     /'___`\   
\/_/\ \/ __  __  __     __     __    ___     ____  __  __\/____//'/'     __   _ __   ___     /\ \/\ \   /\_\ /\ \  
...\ \ \/\ \/\ \/\ \  /'__`\ /'__`\/' _ `\  /',__\/\ \/\ \    //'/'    /'__`\/\`'__\/ __`\   \ \ \ \ \  \/_/// /__ 
....\ \ \ \ \_/ \_/ \/\  __//\  __//\ \/\ \/\__, `\ \ \_\ \  //'/'___ /\  __/\ \ \//\ \L\ \   \ \ \_\ \__  // /_\ \
.....\ \_\ \___x___/'\ \____\ \____\ \_\ \_\/\____/\/`____ \ /\_______\ \____\\ \_\\ \____/    \ \____/\_\/\______/
......\/_/\/__//__/   \/____/\/____/\/_/\/_/\/___/  `/___/> \\/_______/\/____/ \/_/ \/___/      \/___/\/_/\/_____/ 
......................................................./\___/                                                      
.......................................................\/__/
....... Same great tween taste with 0 calories! .......
.......................................................
 */
package com.flashdynamix.motion {
	/**
	 * TweensyTimelineZeroMinified is used by the TweensyZero class as a simple version of the TweensyTimeline.
	 * 
	 * The TweensyTimelineZeroMinified Class has events for:
	 * <ul>
	 * <li>onComplete - When all tweens in the TweensyTimelineZeroMinified Class are done</li>
	 * <li>onUpdate - When all animations in the TweensyTimelineZeroMinified Class have been updated.</li>
	 * </ul>
	 * These events allow for predefined params to be applied when they are executed.
	 * Tweensy favours this method as it allows for predefining the event and the params it requires
	 * without all the fussiness of Event listeners.
	 */
	public class TweensyTimelineZeroMinified {
		/**
		 * The time in seconds the TweensyTimeline has been running for
		 */
		public var time : Number = 0;
		/**
		 * The Object instance whose properties are being tweened
		 */
		public var instance : *;
		/**
		 * This is the Object used as a reference to determining wether to stop this instance in tween conflict
		 */
		public var key : Object;
		/**
		 * Defines the ease equation you would like to use. By default this is Quintic.easeOut or the defaultTween.
		 */
		public var ease : Function;
		/**
		 * The number of properties being tweened in the timeline.
		 */
		public var properties : int = 0;
		/**
		 * The to properties for the tween - where the tween will end.
		 */
		public var to : Object;
		/**
		 * Sets and gets the current tween duration for the TweensyTimeline in seconds.
		 */
		public var duration : Number = 0;
		/**
		 * Executed when the TweensyTimelineZeroMinified animation is complete.
		 * 
		 * @see com.flashdynamix.motion.TweensyTimelineZeroMinified#onCompleteParams
		 */
		public var onComplete : Function;
		/**
		 * The Object updated when the tween updates, this is used for ColorTransform, Matrix tweens.<BR>
		 * In the case of ColorTransform and Matrix this update Object would be a DisplayObject.<BR>
		 * For SoundTransforms the update Object would be a SoundChannel.
		 */
		public var update : *;
		public function TweensyTimelineZeroMinified() {
			to = {};
		}
	}
}
